/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct XferStatus {
    #[serde(rename = "AcctInfoDtl", skip_serializing_if = "Option::is_none")]
    pub acct_info_dtl: Option<Box<crate::models::AcctInfoDtl>>,
    #[serde(rename = "XferStatusRec", skip_serializing_if = "Option::is_none")]
    pub xfer_status_rec: Option<Box<crate::models::XferStatusRec>>,
}

impl XferStatus {
    pub fn new() -> XferStatus {
        XferStatus {
            acct_info_dtl: None,
            xfer_status_rec: None,
        }
    }
}
